<div class="container bg-white p-3 shadow-sm mb-3" [ngClass]="{'rated-bg': courseItem.topRated}">
    <div class="row">
        <div class="col-5">
            <h5 class="course-name">{{courseItem.name | uppercase}}<i *ngIf="courseItem.topRated" class="material-icons icon-yellow star">star</i></h5>
        </div>
        <div class="col-2  align-middle text-muted">
            <i class="material-icons  align-middle mr-1 course-duration">access_time</i>
            <span class="align-middle course-duration">{{courseItem.length | duration}}</span>
        </div>
        <div class="col-3 text-muted">
            <i class="material-icons  align-middle mr-1 course-creation-date">date_range</i>
            <span class="align-middle course-creation-date">
                <!-- <span class="align-middle course-creation-date" appNewCourses [creationDate]="courseItem.date"> -->
                {{courseItem.date}}
            </span>
        </div>
    </div>
    <div class="row">
        <div class="col-9">
            <p>{{courseItem.description}}</p>
        </div>
        <div class="col-3"><!--  [routerLink]="['/courses', courseItem.id]"  (click)="editCourse()" -->
            <button type="button" class="button edit-button text-white" 
            [routerLink]="['/courses', courseItem.id]" ><i class="material-icons align-middle ml-1 mr-1">edit</i>Edit</button>
            
            <button type="button" class="button delete-button text-white ml-2" (click)="openModalForDeletingCourse()" data-toggle="modal">
                <i class="material-icons align-middle  ml-1 mr-1">delete</i>Delete
            </button>
        </div>
    </div>
</div>